> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Elimina autorizzazione dell'organizzazione

> Rimuovi un'autorizzazione Git da un'organizzazione

Richiede la personal API key di un amministratore Enterprise.

Rimuovi una specifica autorizzazione di un repository Git da un'organizzazione all'interno del tuo account Enterprise.


## OpenAPI

````yaml it/v2-openapi.yaml DELETE /v2/enterprise/organizations/{org_id}/git/permissions/{permission_id}
openapi: 3.1.0
info:
  description: API Devin v2 con Personal API Keys per gli amministratori Enterprise
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/organizations/{org_id}/git/permissions/{permission_id}:
    delete:
      tags:
        - organizations
      summary: >-
        Endpoint per la revoca delle autorizzazioni dell'organizzazione
        Enterprise
      operationId: >-
        enterprise_organization_permission_removal_endpoint_v2_enterprise_organizations__org_id__git_permissions__permission_id__delete
      parameters:
        - in: path
          name: org_id
          required: true
          schema:
            title: Org Id
            type: string
        - in: path
          name: permission_id
          required: true
          schema:
            title: Permission Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponse'
          description: Risposta con esito positivo
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Errore di validazione
components:
  schemas:
    SuccessResponse:
      properties:
        status:
          default: success
          title: Status
          type: string
      title: SuccessResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: API key personale (apk_user_*) riservata agli amministratori Enterprise
      scheme: bearer
      type: http

````